#pragma once
#include "SMSModel.h"
class CSMSSendWnd;
class CSMSController: private IGTWASActorEvent 	
{
public:
	CSMSController(CSMSSendWnd* wnd);
	~CSMSController(void);


	//Set
public:
	bool				AddSMSReceiver(CString strUserID, CString strUserName, CString strTelNumber);
	void				SetSenderTelNumber(CString strTelNumber){m_SMSModel.m_strSenderTelNumber = strTelNumber;}

public:
	void				RemoveSMSReceiver(CString strUserID);
	void				RemoveAllSMSReceiver(){m_SMSModel.m_receiverVector.clear();}
	void				RemoveAllSMSRecentReceiver(){m_SMSModel.m_recentReceiverVector.clear();}
	int					GetCurrentReceiverCount(){return m_SMSModel.m_receiverVector.size();}
	int					GetRecentReceiverCount(){return m_SMSModel.m_recentReceiverVector.size();}

	LRESULT				IsEnableReceiverUserCount(int nCount);
	CString				GetSenderTelNumber(){return m_SMSModel.m_strSenderTelNumber;}
	CString				GetReceiverTelNums();
	void UpdateRecentSMSReceiver();
	int Load(void);
	int Save();
	CSMSModel* GetSMSModel(){return &m_SMSModel;}
	void RequestEmployeeInfoList();

	virtual bool OnGTWASActor_ResponseGetEmployeeInfo(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_MEMBER_DATA_LIST &list, NTRequestEmpInfoType reqEmpInfoType, int nGroupID);
	BOOL FindTelInSMSWnd(CString strTelNumber);
private:
	CSMSModel m_SMSModel;
	CCriticalSection        m_csLock;
public:
    CString     m_strMyCellPhone;
    CSMSSendWnd *m_pSMSSendWnd;
};


